Bug 171388 - news/hellanzb doesn't work anymore since Fbsd 9.0
Summary: news/hellanzb doesn't work anymore since Fbsd 9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-06 20:50 UTC by w-info
Modified: 2013-02-26 18:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description w-info 2012-09-06 20:50:02 UTC
hellanzb quits with:

Traceback (most recent call last):
  File "/usr/local/bin/hellanzb.py", line 14, in <module>
    from Hellanzb.Core import main
  File "/usr/local/lib/python2.7/site-packages/Hellanzb/Core.py", line 9, in <module>
    from Hellanzb.HellaReactor import HellaReactor
  File "/usr/local/lib/python2.7/site-packages/Hellanzb/HellaReactor.py", line 14, in <module>
    from twisted.internet.selectreactor import _NO_FILENO
ImportError: cannot import name _NO_FILENO

Fix: 

Fix can be found here:

https://github.com/emikulic/hellanzb/commit/2a8a873b65d79a6483d4c7afb547ed8ce43b8d6e
How-To-Repeat: run hellanzb
Comment 1 Edwin Groothuis freebsd_committer 2012-09-07 03:20:56 UTC
Maintainer of news/hellanzb,

Please note that PR ports/171388 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171388

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-09-07 03:20:59 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-02-26 18:46:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 4 dfilter service freebsd_committer 2013-02-26 18:48:06 UTC
Author: rm
Date: Tue Feb 26 18:47:53 2013
New Revision: 313002
URL: http://svnweb.freebsd.org/changeset/ports/313002

Log:
  - add upstream patch to fix runtime with Twisted version > 11.1
  - bump PORTREVISION
  
  while here:
  - trim Makefile header
  - define PORTDOCS uncoditionally
  - convert to optionsng (DOCS case)
  
  PR:		171388
  Reported by:	W.Scholten <w-info@xs4all.nl>
  Approved by:	maintainer timeout (4 months)

Modified:
  head/news/hellanzb/Makefile
  head/news/hellanzb/files/patch-Hellanzb_HellaReactor.py

Modified: head/news/hellanzb/Makefile
==============================================================================
--- head/news/hellanzb/Makefile	Tue Feb 26 17:27:06 2013	(r313001)
+++ head/news/hellanzb/Makefile	Tue Feb 26 18:47:53 2013	(r313002)
@@ -1,14 +1,9 @@
-# New ports collection makefile for:	hellanzb
-# Date created:		Sat Sep 25 18:46:46 PDT 2004
-# Whom:			Philip Jenvey <pjenvey@groovie.org>
-#
+# Created by: Philip Jenvey <pjenvey@groovie.org>
 # $FreeBSD$
-# $Id: Makefile 828 2006-09-10 01:20:41Z pjenvey $
-#
 
 PORTNAME=	hellanzb
 PORTVERSION=	0.13
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	news
 MASTER_SITES=	http://www.hellanzb.com/distfiles/
 
@@ -26,8 +21,9 @@ RUN_DEPENDS=	par2:${PORTSDIR}/archivers/
 USE_PYTHON=	-2.7
 USE_PYDISTUTILS=yes
 USE_TWISTED_RUN=	web
+PORTDOCS=	CHANGELOG CREDITS README
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 # more fully-featured rar needs i386
 .if ${ARCH} == "i386"
@@ -36,21 +32,17 @@ RUN_DEPENDS+=	rar:${PORTSDIR}/archivers/
 RUN_DEPENDS+=	unrar:${PORTSDIR}/archivers/unrar
 .endif
 
-.if !defined(NOPORTDOCS)
-PORTDOCS=	CHANGELOG CREDITS README
-.endif
-
 post-install:
 	@if [ ! -f ${PREFIX}/etc/hellanzb.conf ]; then \
 		${ECHO} "Installing default configuration file."; \
 		${INSTALL_DATA} ${WRKSRC}/etc/hellanzb.conf.sample ${PREFIX}/etc/hellanzb.conf; \
 	fi
 
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 .for doc in ${PORTDOCS}
 	@${INSTALL_DATA} ${WRKSRC}/${doc} ${DOCSDIR}
 .endfor
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/news/hellanzb/files/patch-Hellanzb_HellaReactor.py
==============================================================================
--- head/news/hellanzb/files/patch-Hellanzb_HellaReactor.py	Tue Feb 26 17:27:06 2013	(r313001)
+++ head/news/hellanzb/files/patch-Hellanzb_HellaReactor.py	Tue Feb 26 18:47:53 2013	(r313002)
@@ -1,11 +1,15 @@
---- Hellanzb/HellaReactor.py.orig	2007-03-27 08:20:43.000000000 +0400
-+++ Hellanzb/HellaReactor.py	2012-01-21 20:33:18.000000000 +0400
-@@ -9,7 +9,7 @@
+--- ./Hellanzb/HellaReactor.py.orig	2007-03-27 08:20:43.000000000 +0400
++++ ./Hellanzb/HellaReactor.py	2013-02-26 22:29:07.000000000 +0400
+@@ -9,7 +9,11 @@
  import Hellanzb, sys, time
  
  import twisted.copyright
 -if twisted.copyright.version >= '2.0.0':
-+if twisted.copyright.version >= '2.0.0' or twisted.copyright.version >= '10.0.0':
++if twisted.copyright.version >= '11.1.0':
++    from twisted.internet.selectreactor import SelectReactor
++    from twisted.internet.posixbase import _NO_FILENO
++    from twisted.internet.posixbase import _NO_FILEDESC
++elif twisted.copyright.version >= '2.0.0' or twisted.copyright.version >= '10.0.0':
      from twisted.internet.selectreactor import SelectReactor
      from twisted.internet.selectreactor import _NO_FILENO
      from twisted.internet.selectreactor import _NO_FILEDESC
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2013-02-26 18:49:47 UTC
State Changed
From-To: feedback->closed

Committed, thank you!